Download it now!
Bug 126304 - Resizing the Extension Manager window corrupts the text there
Summary: Resizing the Extension Manager window corrupts the text there
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-07-09 10:26 UTC by Marco A.G.Pinto
Modified: 2019-07-18 11:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
LO 6.3 RC1 screenshot (38.31 KB, image/png)
2019-07-09 10:26 UTC, Marco A.G.Pinto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2019-07-09 10:26:21 UTC
Created attachment 152670 [details]
LO 6.3 RC1 screenshot

I tried to resize the Extension Manager window and its display became corrupt.
Comment 1 Xisco Faulí 2019-07-09 11:44:29 UTC
The problem is seen when the dialog is resized horizontally

Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2019-06-12 11:32:40 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-06-14 16:33:45 +0200
commit	daa1ab5d59e3cee21324cdfa1329f2d36c4eda05 (patch)
tree	70b514e9cf6ce7a14a00a331cb1af52be3d8694b
parent	5128f7bf6c2304d07d6b1829977b619d29c1a46a (diff)
weld ExtMgrDialog and UpdateRequiredDialog

Bisected with: win-6-4

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-07-17 19:19:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c1231117cad966f9484ffa05d449d75efd729b91%5E%21

Resolves: tdf#126304 resizing the extension manager breaks redraw

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-07-17 19:32:18 UTC
that seems to work for me, backport for 6-3 in gerrit
Comment 4 Commit Notification 2019-07-18 10:04:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/448a9e0d967290443dac439579f98311e3296218%5E%21

Resolves: tdf#126304 resizing the extension manager breaks redraw

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-07-18 11:33:11 UTC
Verified in

Version: 6.4.0.0.alpha0+ (x64)
Build ID: cefce1a247a4674c5726a31b61571eab16328a0b
CPU threads: 16; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!